# Google Maps

## GET /google-maps/v1/geocode

> Use Google Maps API to turn an address into geo coordinates

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-maps/v1/geocode":{"get":{"operationId":"googleMapsGeocodeV1","summary":"Use Google Maps API to turn an address into geo coordinates","tags":["Google Maps"],"parameters":[{"name":"address","in":"query","description":"The address to geodode. Specify addresses in accordance with the format used by the national postal service of the country concerned.","required":true,"schema":{"type":"string"}},{"name":"Accept","in":"header","description":"The content-type to respond with","required":false,"schema":{"type":"string","enum":["application/json","application/xml"]}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-maps/v1/geocode/output.json"}},"application/xml":{"schema":{"$ref":"./schemas/google-maps/v1/geocode/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /google-maps/v1/search/basic

> Use the Google Maps API to search for places with a query, returning basic details

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-maps/v1/search/basic":{"get":{"operationId":"googleMapsSearchBasicV1","summary":"Use the Google Maps API to search for places with a query, returning basic details","tags":["Google Maps"],"parameters":[{"name":"query","in":"query","description":"The search query used to search for a place","required":true,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"The amount of results to return per page","required":false,"schema":{"type":"integer","minimum":1,"maximum":20}},{"name":"pageToken","in":"query","description":"If another page is available, this token signifies the start of the next page.","required":false,"schema":{"type":"string"}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-maps/v1/search/basic/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /google-maps/v1/search/full

> Use the Google Maps API to search for places with a query, returning all available details

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-maps/v1/search/full":{"get":{"operationId":"googleMapsSearchFullV1","summary":"Use the Google Maps API to search for places with a query, returning all available details","tags":["Google Maps"],"parameters":[{"name":"query","in":"query","description":"The search query used to search for a place","required":true,"schema":{"type":"string"}},{"name":"pageSize","in":"query","description":"The amount of results to return per page","required":false,"schema":{"type":"integer","minimum":1,"maximum":20}},{"name":"pageToken","in":"query","description":"If another page is available, this token signifies the start of the next page.","required":false,"schema":{"type":"string"}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-maps/v1/search/full/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /google-maps/v1/details/basic

> Use the Google Maps API to get basic details about a place

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-maps/v1/details/basic":{"get":{"operationId":"googleMapsDetailsBasicV1","summary":"Use the Google Maps API to get basic details about a place","tags":["Google Maps"],"parameters":[{"name":"placeId","in":"query","description":"The unique identifier of a place, obtained via the /google-maps/v1/search endpoint.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-maps/v1/details/basic/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /google-maps/v1/details/full

> Use the Google Maps API to get all available details about a place

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-maps/v1/details/full":{"get":{"operationId":"googleMapsDetailsFullV1","summary":"Use the Google Maps API to get all available details about a place","tags":["Google Maps"],"parameters":[{"name":"placeId","in":"query","description":"The unique identifier of a place, obtained via the /google-maps/v1/search endpoint.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-maps/v1/details/full/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://auorio.gitbook.io/docs/api/google-maps.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
